> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Get ruleset assignments

GET https://api.postman.com/rulesets/{rulesetId}/assignments

Gets a ruleset's governance group assignments.

Reference: https://learning.postman.com/api-docs/api-reference/api-governance/get-ruleset-assignments

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `rulesetId` (string, required) — The ruleset's ID.

## Response

### 200

Successful Response

- `data` (list of rulesetAssignmentSummary, optional) — The ruleset assignments.

## Errors

### 400 Bad Request Error

Bad Request

- `GetRulesetAssignmentsRequestBadRequestError`

### 401 Unauthorized Error

Unauthorized

- `GetRulesetAssignmentsRequestUnauthorizedError`

### 403 Forbidden Error

Forbidden

- `GetRulesetAssignmentsRequestForbiddenError`

### 500 Internal Server Error

Internal Server Error

- `GetRulesetAssignmentsRequestInternalServerError`

## Types

### rulesetAssignmentSummary

Information about the ruleset assignment.

- `rulesetId` (string, required) — The assigned ruleset's ID.
- `targetType` (enum, required) — The assignment target type.
  - Allowed values: `governance_group`
- `targetId` (string, required) — The target governance group's ID.

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessageDetails

- `error` (CommonErrorNameMessageDetailsError, optional) — Information about the error.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### CommonErrorTypeTitleDetailDetail

Information about the error.

### CommonErrorTypeTitleDetailStatusType

The type of error.

### CommonErrorNameMessageDetailsError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.
- `details` (CommonErrorNameMessageDetailsErrorDetails, optional) — Information about the error.

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### CommonErrorNameMessageDetailsErrorDetails

Information about the error.

## Examples

**Response**

```json
{
  "data": [
    {
      "rulesetId": "01JABCDEF0123456789ABCDEFG",
      "targetType": "governance_group",
      "targetId": "01JWSGROUP0123456789ABCDEF"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```